Index: branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bld.cfg
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bld.cfg	(revision 3680)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bld.cfg	(revision 3695)
@@ -13,24 +13,9 @@
 search_src           1
 
-src::xmlf90::cml          $MAIN_DIR/EXTERNAL/XMLF90/src/cml
-src::xmlf90::dom          $MAIN_DIR/EXTERNAL/XMLF90/src/dom
-src::xmlf90::sax          $MAIN_DIR/EXTERNAL/XMLF90/src/sax
-src::xmlf90::strings      $MAIN_DIR/EXTERNAL/XMLF90/src/strings
-src::xmlf90::wxml         $MAIN_DIR/EXTERNAL/XMLF90/src/wxml
-src::xmlf90::xpath        $MAIN_DIR/EXTERNAL/XMLF90/src/xpath
-src::xmlio                $MAIN_DIR/EXTERNAL/XMLIO_SERVER/src/XMLIO
-src::ioserver             $MAIN_DIR/EXTERNAL/XMLIO_SERVER/src/IOSERVER
 src::ioipsl               $MAIN_DIR/EXTERNAL/IOIPSL/src
 src::agrif                $MAIN_DIR/EXTERNAL/AGRIF/AGRIF_FILES
 src::nemo                 $CONFIG_DIR/$NEW_CONF/OPAFILES/obj
 
-#bld::lib::xmlf90           xmlf90
-#bld::lib::xmlio            xmlio
-#bld::lib::ioserver         ioserver
-#bld::lib::ioipsl           ioipsl
-#bld::lib::agrif            agrif
-#bld::lib::nemo             nemo
-#bld::target libxmlf90.a libioserver.a libxmlio.a libioipsl.a libagrif.a libnemo.a server.exe nemo.exe
-bld::target  server.exe nemo.exe
+bld::target  nemo.exe
 bld::exe_dep
 
@@ -49,12 +34,8 @@
 
 # Pre-process code before analysing dependencies
-bld::pp::xmlio    1
-bld::pp::ioserver 1
 bld::pp::ioipsl   1
 bld::pp::nemo     1
 bld::pp::agrif    1
 bld::tool::fppflags::nemo      %FPPFLAGS -I$CONFIG_DIR/$NEW_CONF/OPAFILES/inc
-bld::tool::fppflags::xmlio     %FPPFLAGS
-bld::tool::fppflags::ioserver  %FPPFLAGS
 bld::tool::fppflags::ioipsl    %FPPFLAGS
 bld::tool::fppflags::agrif     %FPPFLAGS
@@ -64,4 +45,5 @@
 bld::excl_dep        inc::VT.inc
 bld::excl_dep        use::netcdf
+bld::excl_dep        use::xios
 bld::excl_dep        h::netcdf.inc
 bld::excl_dep        h::mpif.h
Index: branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bldxag.cfg
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bldxag.cfg	(revision 3680)
+++ branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bldxag.cfg	(revision 3695)
@@ -13,16 +13,8 @@
 search_src           1
 
-src::xmlf90::cml          $MAIN_DIR/EXTERNAL/XMLF90/src/cml
-src::xmlf90::dom          $MAIN_DIR/EXTERNAL/XMLF90/src/dom
-src::xmlf90::sax          $MAIN_DIR/EXTERNAL/XMLF90/src/sax
-src::xmlf90::strings      $MAIN_DIR/EXTERNAL/XMLF90/src/strings
-src::xmlf90::wxml         $MAIN_DIR/EXTERNAL/XMLF90/src/wxml
-src::xmlf90::xpath        $MAIN_DIR/EXTERNAL/XMLF90/src/xpath
-src::xmlio                $MAIN_DIR/EXTERNAL/XMLIO_SERVER/src/XMLIO
-src::ioserver             $MAIN_DIR/EXTERNAL/XMLIO_SERVER/src/IOSERVER
 src::ioipsl               $MAIN_DIR/EXTERNAL/IOIPSL/src
 src::nemo                 $CONFIG_DIR/$NEW_CONF/WORK
 
-bld::target  server.exe nemo.exe
+bld::target nemo.exe
 bld::exe_dep
 
@@ -40,11 +32,7 @@
 
 # Pre-process code before analysing dependencies
-bld::pp::xmlio    1
-bld::pp::ioserver 1
 bld::pp::ioipsl   1
 bld::pp::nemo     1
 bld::tool::fppflags::nemo     %FPPFLAGS
-bld::tool::fppflags::xmlio    %FPPFLAGS
-bld::tool::fppflags::ioserver %FPPFLAGS
 bld::tool::fppflags::ioipsl   %FPPFLAGS
 
@@ -53,4 +41,5 @@
 bld::excl_dep        inc::VT.inc
 bld::excl_dep        use::netcdf
+bld::excl_dep        use::xios
 bld::excl_dep        h::netcdf.inc
 bld::excl_dep        h::mpif.h
Index: branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bldxio.cfg
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bldxio.cfg	(revision 3680)
+++ 	(revision )
@@ -1,67 +1,0 @@
-# ----------------------- FCM extract configuration file -----------------------
-cfg::type                           bld
-cfg::version                        1.0
-
-
-# ------------------------------------------------------------------------------
-# Build information
-# ------------------------------------------------------------------------------
-
-inc $COMPIL_DIR/arch_nemo.fcm
-inc $COMPIL_DIR/cpp.fcm
-
-search_src           1
-
-src::ioipsl               $MAIN_DIR/EXTERNAL/IOIPSL/src
-src::agrif                $MAIN_DIR/EXTERNAL/AGRIF/AGRIF_FILES
-src::nemo                 $CONFIG_DIR/$NEW_CONF/OPAFILES/obj 
-bld::target  nemo.exe
-bld::exe_dep
-
-dir::root            $NEMO_TDIR/$NEW_CONF/BLD
-
-bld::tool::fc        %FC 
-bld::tool::fflags    %FCFLAGS %USER_INC
-bld::tool::fflags::agrif   %FFLAGS %USER_INC
-bld::tool::ld        %LD
-bld::tool::ldflags   %LDFLAGS %USER_LIB
-bld::tool::ar        %AR
-bld::tool::arflags   %ARFLAGS
-bld::tool::make      %MK
-
-# Pre-process code before analysing dependencies
-bld::pp::ioipsl   1
-bld::pp::nemo     1
-bld::pp::agrif    1
-bld::tool::fppflags::nemo     %FPPFLAGS -I$CONFIG_DIR/$NEW_CONF/OPAFILES/inc
-bld::tool::fppflags::ioipsl   %FPPFLAGS
-bld::tool::fppflags::agrif    %FPPFLAGS
-
-# Ignore the following dependencies
-bld::excl_dep        inc::netcdf.inc
-bld::excl_dep        inc::VT.inc
-bld::excl_dep        use::netcdf
-bld::excl_dep        h::netcdf.inc
-bld::excl_dep        h::mpif.h
-bld::excl_dep        inc::mpif.h
-bld::excl_dep        inc::mpe_logf.h
-bld::excl_dep        use::mpi
-bld::excl_dep        use::mod_prism_proto
-bld::excl_dep        use::mod_prism_def_partition_proto
-bld::excl_dep        use::mod_prism_get_comm
-bld::excl_dep        use::mod_prism_get_proto
-bld::excl_dep        use::mod_prism_put_proto
-bld::excl_dep        use::mod_comprism_proto
-bld::excl_dep        use::mkl_dfti
-# Don't generate interface files
-bld::tool::geninterface none
-
-# Allow ".h90" as an extension for CPP include files
-bld::infile_ext::h90  CPP::INCLUDE
-bld::infile_ext::f90  FPP::FPP9X::SOURCE
-
-# extension for module output
-bld::outfile_ext::mod .mod
-
-# rename executable to nemo.exe
-bld::exe_name::model  nemo.exe
Index: branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bldxioxag.cfg
===================================================================
--- branches/2012/dev_MERGE_2012/NEMOGCM/TOOLS/COMPILE/bldxioxag.cfg	(revision 3680)
+++ 	(revision )
@@ -1,66 +1,0 @@
-# ----------------------- FCM extract configuration file -----------------------
-cfg::type                           bld
-cfg::version                        1.0
-
-
-# ------------------------------------------------------------------------------
-# Build information
-# ------------------------------------------------------------------------------
-
-inc $COMPIL_DIR/arch_nemo.fcm
-inc $COMPIL_DIR/cpp.fcm
-
-search_src           1
-
-src::ioipsl               $MAIN_DIR/EXTERNAL/IOIPSL/src
-src::nemo                 $CONFIG_DIR/$NEW_CONF/WORK
-
-bld::target  nemo.exe
-bld::exe_dep
-
-
-dir::root            $NEMO_TDIR/$NEW_CONF/BLD
-
-
-bld::tool::fc        %FC 
-bld::tool::fflags    %FCFLAGS %USER_INC
-bld::tool::ld        %LD
-bld::tool::ldflags   %LDFLAGS %USER_LIB
-bld::tool::ar        %AR
-bld::tool::arflags   %ARFLAGS
-bld::tool::make      %MK
-
-# Pre-process code before analysing dependencies
-bld::pp::ioipsl   1
-bld::pp::nemo     1
-bld::tool::fppflags::nemo     %FPPFLAGS
-bld::tool::fppflags::ioipsl   %FPPFLAGS
-
-# Ignore the following dependencies
-bld::excl_dep        inc::netcdf.inc
-bld::excl_dep        inc::VT.inc
-bld::excl_dep        use::netcdf
-bld::excl_dep        h::netcdf.inc
-bld::excl_dep        h::mpif.h
-bld::excl_dep        inc::mpif.h
-bld::excl_dep        inc::mpe_logf.h
-bld::excl_dep        use::mpi
-bld::excl_dep        use::mod_prism_proto
-bld::excl_dep        use::mod_prism_def_partition_proto
-bld::excl_dep        use::mod_prism_get_comm
-bld::excl_dep        use::mod_prism_get_proto
-bld::excl_dep        use::mod_prism_put_proto
-bld::excl_dep        use::mod_comprism_proto
-bld::excl_dep        use::mkl_dfti
-# Don't generate interface files
-bld::tool::geninterface none
-
-# Allow ".h90" as an extension for CPP include files
-bld::infile_ext::h90  CPP::INCLUDE
-
-# extension for module output
-bld::outfile_ext::mod .mod
-
-# rename executable to nemo.exe
-bld::exe_name::model  nemo.exe
-
